@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;700&display=swap');
*{
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}
body{
	font-family: 'Roboto', sans-serif;
	background-color: #e5e5f7;
	background-image:  radial-gradient(#055c03 0.5px, transparent 0.5px), radial-gradient(#055c03 0.5px, #e5e5f7 0.5px);
	background-size: 10px 10px;
	background-position: 0 0,10px 10px;
	display: flex;
	min-height: 100vh;
}
.form{
	background-color: #fff;
	margin: auto;
	width: 95%;
	max-width: 450px;
	padding: 3em 2em;
	border-radius: 10px;
	box-shadow: 0 5px 10px -5px rgb(0 0 0 / 30%);
	text-align: center;
}
.form__imgcab{
	object-fit: cover;
	width:100%;
 }
.form__title{
	font-size: 2rem;
	margin-bottom: .5em;
}
.form__paragraph{
	font-weight: 400;
}
.form__alert{
	font-weight: 400;
	color: red;
}
.form__link{
	font-weight: 400;
	color: #000;
}
.form__container{
	margin-top: 3em;
	display: grid;
	gap: 2.5em;
}
.form__group{
	position: relative;
	--color: #5757577e;
}
.form__input:not([type="radio"]){
	width: 100%;
	background: none;
	color: #706c6c;
	font-size: 1rem;
	padding: .6em .3em;
	border: none;
	outline: none;
	border-bottom: 1px solid var(--color);
	font-family: 'Roboto', sans-serif;
}
.form__input:[type="radio"]{
	width: 100%;
	background: none;
	color: #706c6c;
	font-size: 1rem;
	padding: .6em .3em;
	border: none;
	outline: none;
	border-bottom: 1px solid var(--color);
	font-family: 'Roboto', sans-serif;
	text-align: left;
}
.form__label{
	color: var(--color);
	cursor: pointer;
	position: absolute;
	top: 0;
	left: 5px;
	transform: translateY(-12px);
	transition: transform .5s, color .3s;
}
.form__labelbootstrap{
	color: var(--color);
	cursor: pointer;
	position: absolute;
	top: 0;
	left: 5px;
	transform: translateY(-22px);
	transition: transform .5s, color .3s;
}
.form__submit{
	background: #E6E6E6
	color: #fff;
	font-family: 'Roboto', sans-serif;
	font-weight: 300;
	font-size: 1rem;
	padding: .8em 0;
	border: none;
	border-radius: .5em;
}
.form__line{
	position: absolute;
	bottom: 0;
	left: 0;
	width: 100%;
	height: 1px;
	background-color: #3866f2;
	transform: scale(0);
	transform: left bottom;
	transition: transform .4s;
}
.btn{
	color:#000000;
	font-weight: 300;
	display:inline-block;
	padding: .8em 0;
	font-size: 1rem;
	text-align:center;
	cursor:pointer;
	outline:0;
	float:left;
	background-color:#E6E6E6;
	border: none;
	border-radius: .5em;
	}
.btn a {
	color:#000000;
	text-decoration:none;
}
@media (max-width:425px){
	.form__title{
		font-size: 1.8rem;
	}
}
